ICDIFF(1)

NAME
icdiff - terminal side-by-side colorized word diff

SYNOPSIS
icdiff [options] left_file right_file

DESCRIPTION
Show differences between files in a two column view.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--cols=COLS
    specify the width of the screen. Autodetection is Unix only

--encoding=ENCODING
    specify the file encoding; defaults to utf8

--head=HEAD
    consider only the first N lines of each file

-H, --highlight
    color by changing the background color instead of the foreground color. Very fast, ugly, displays all changes

-L LABELS, --label=LABELS
    override file labels with arbitrary tags. Use twice, one for each file

-N, --line-numbers
    generate output with line numbers

--no-bold
    use non-bold colors; recommended for solarized

--no-headers
    don't label the left and right sides with their file names

--output-encoding=OUTPUT_ENCODING
    specify the output encoding; defaults to utf8

-r, --recursive
    recursively compare subdirectories

--show-all-spaces
    color all non-matching whitespace including that which is not needed for drawing the eye to changes. Slow, ugly, displays all changes

--tabsize=TABSIZE
    tab stop spacing

-u, --patch
    generate patch. This is always true, and only exists for compatibility

-U NUM, --unified=NUM, --numlines=NUM
    how many lines of context to print; can't be combined with --whole-file

-W, --whole-file
    show the whole file instead of just changed lines and context

--strip-trailing-cr
    strip any trailing carriage return at the end of an input line